/*
 * *****************************************************************
 * *                                                               *
 * *       Copyright (c) Fast Corporation, 1997                    *
 * *                                                               *
 * *   All Rights Reserved.  Unpublished rights  reserved  under   *
 * *   the copyright laws of the Japan.                            *
 * *                                                               *
 * *   The software contained on this media  is  proprietary  to   *
 * *   and  embodies  the  confidential  technology  of  Fast      *
 * *   Corporation.  Possession, use,  duplication  or             *
 * *   dissemination of the software and media is authorized only  *
 * *   pursuant to a valid written license from Fast Corporation.  *
 * *                                                               *
 * *****************************************************************
 */

/* brbXOw@xbZ[W\[XE[`  m_note.c */
/*m쐬ҁnY.Takizawa */
/*
F	Ver 1.0		97/08/13
LF
*/

#include <string.h>
#include <stdlib.h>

#include "f_stdlib.h"
#include "f_gui.h"
#include "f_stdio.h"
#include "f_graph.h"
#include "f_pinf.h"
#include "f_video.h"
#include "f_image.h"

#include "m_menu.h"

/*
 * vg^Cv
 */
int  message_note( void );
static void  disp_message( void );

/*
 * j[
 */
#define LANG_N       2
#define NOTE_MENU_N  2
static const char *str_note_menu[NOTE_MENU_N][LANG_N] = {
	{ " ACCEPT ", "    " },
	{ " DENY ", " ۔F " }
};

/*
 * xbZ[W
 */

#define  INIT_CUR_POS_X		255
#define  INIT_CUR_POS_Y		239

int  message_note( void )
{
	int  iSts;
	int  sts;
	int  xpos;
	int  ypos;
	int  s_xpos;
	int  s_ypos;

	iSts = ERROR_RETURN;

	/* p^ */
	xpos = INIT_CUR_POS_X;
	ypos = INIT_CUR_POS_Y;
	s_xpos = INIT_CUR_POS_X;
	s_ypos = INIT_CUR_POS_Y;

	/* ̓rfI */
	Lib_input_video_control( GRAY_PLANE );

	/* rfIo͕\ڐ */
	Lib_display_control( LINE_PLANE | CHAR_PLANE );

	/* rfI\ڃNA */
	Lib_memory_clear( LINE_PLANE | CHAR_PLANE );

	/* J[\ */
	Lib_init_cursor();

	/* }EXJ[\̕\ */
	Lib_draw_cursor( INIT_CUR_POS_X, INIT_CUR_POS_Y );

	/* xj[̕\ */
	disp_message();

	/* j[ */
	for (;;)
	{
		sts = 0;

		/* }EXʒuǂ݂Ƃ */
		sts = Lib_see_current_position( &xpos, &ypos );
		if ( s_xpos != xpos || s_ypos != ypos )
		{
			/* }EX\ʒuړ */
			Lib_move_cursor( xpos, ypos );
			s_xpos = xpos;
			s_ypos = ypos;
		}

		/* U蕪 */
		if( 1 == sts )
		{
			if ( xpos > MENU_1_XS && xpos < MENU_1_XE && ypos > MENU_1_YS && ypos < MENU_1_YE )
			{
				iSts = NORMAL_RETURN;
				break;
			}
			else if ( xpos > MENU_E_XS && xpos < MENU_E_XE && ypos > MENU_E_YS && ypos < MENU_E_YE )
			{
				break;                                              /* I */
			}
		}
	}

	/* ̓rfI */
	Lib_input_video_control( GRAY_PLANE );

	/* rfIo͕\ڐ */
	Lib_display_control( GRAY_PLANE | LINE_PLANE | CHAR_PLANE );

	/* rfI\ڃNA */
	Lib_memory_clear( LINE_PLANE | CHAR_PLANE );

	return( iSts );
}


static void  disp_message( void )
{
	int  iLanguage;

	/* {^p\ؑ֏擾 */
	iLanguage = Lib_get_disp_language();
	
	Lib_display_key(   0, 0, (char *)str_note_menu[0][iLanguage], 1 );
	Lib_display_key( 445, 0, (char *)str_note_menu[1][iLanguage], 1 );

	Lib_chrdisp(20,  6, "ygpz" );
	Lib_chrdisp( 8,  8, "̃TvvO\\[X͂XOwiɂ" );
	Lib_chrdisp( 8, 10, "삷vO쐬ۂ̎QlłB" );
	Lib_chrdisp( 8, 12, "̃TvvŐ@\\͂qlŗL̖ړI" );
	Lib_chrdisp( 8, 14, "΂KɊւĂȂۏ؂s܂B" );
	Lib_chrdisp(22, 16, "yӔČxz" );
	Lib_chrdisp( 8, 18, "e`rśAȂꍇłqlɑ΂āAƂ" );
	Lib_chrdisp( 8, 20, "e`rŝ悤ȑQ̉\\ɂčm" );
	Lib_chrdisp( 8, 22, "ꍇɂ܂҂̂Ȃ鐿" );
	Lib_chrdisp( 8, 24, "ĂA편v܂ނȂʁAtIA܂" );
	Lib_chrdisp( 8, 26, "hIQɑ΂ӔC𕉂Ȃ̂Ƃ܂B" );
}


